## AnjutaCommandBar

AnjutaCommandBar — Widget that lays out commands in a vertical row of buttons and frames.

## Functions

GtkWidget * | anjuta_command_bar_new ()
void | anjuta_command_bar_add_action_group ()
void | anjuta_command_bar_remove_action_group ()
void | anjuta_command_bar_show_action_group ()
GtkActionGroup * | anjuta_command_bar_get_action_group ()
GtkAction * | anjuta_command_bar_get_action ()

## Properties

gint | max-text-width | Read / Write / Construct Only

## Types and Values

enum | AnjutaCommandBarEntryType
| AnjutaCommandBarPriv

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkNotebook
                        ╰── AnjutaCommandBar

## Includes

    #include <libanjuta/anjuta-command-bar.h>

## Description

AnjutaCommandBar provides a convenient way to arrange several sets of commands into one widget. It separates commands into different groups of actions, with only one group visible at a time.

## Functions

### anjuta_command_bar_new ()

    GtkWidget *
    anjuta_command_bar_new (void);

Creates a new AnjutaCommandBar.

#### Returns

A new AnjutaCommandBar

### anjuta_command_bar_add_action_group ()

    void
    anjuta_command_bar_add_action_group (AnjutaCommandBar *self,
                                         const gchar *group_name,
                                         const AnjutaCommandBarEntry *entries,
                                         int num_entries,
                                         gpointer user_data);

Adds a group of entries to an AnjutaCommandBar.

#### Parameters

self | An AnjutaCommandBar |
group_name | A unique name for this group of entries |
entries | A list of entries to add. | [array length=num_entries]
num_entries | The number of items pointed to by entries |
user_data | User data to pass to the entry callback |

### anjuta_command_bar_remove_action_group ()

    void
    anjuta_command_bar_remove_action_group
                                   (AnjutaCommandBar *self,
                                    const gchar *group_name);

Removes an action group from an AnjutaCommandBar.

#### Parameters

self | An AnjutaCommandBar |
group_name | Name of the action group to remove |

### anjuta_command_bar_show_action_group ()

    void
    anjuta_command_bar_show_action_group (AnjutaCommandBar *self,
                                          const gchar *group_name);

Causes the actions in the given group to become visible, replacing the previously visible group.

#### Parameters

self | An AnjutaCommandBar |
group_name | The name of the action group to show |

### anjuta_command_bar_get_action_group ()

    GtkActionGroup *
    anjuta_command_bar_get_action_group (AnjutaCommandBar *self,
                                         const gchar *group_name);

#### Parameters

group_name | The name of the action group |

#### Returns

The GtkActionGroup with the given `group_name`

### anjuta_command_bar_get_action ()

    GtkAction *
    anjuta_command_bar_get_action (AnjutaCommandBar *self,
                                   const gchar *group_name,
                                   const gchar *action_name);

Retrieves a GtkAction object in the given group with the given name

#### Parameters

self | An AnjutaCommandBar |
group_name | The name of the GtkActionGroup to look for the action in |
action_name | The name of the action |

#### Returns

## Types and Values

### enum AnjutaCommandBarEntryType

Specifies if the entry corresponds to a frame or a button. Buttons are added to the last frame that appears before the button entry

#### Members

ANJUTA_COMMAND_BAR_ENTRY_FRAME | This entry should create a frame in the action bar. The entry's action name and callback are ignored. |
ANJUTA_COMMAND_BAR_ENTRY_BUTTON | This entry adds a button to the action bar, either to the last frame to appear in the entry list before this entry, or to the top of the bar if no frames were previously added. |

### AnjutaCommandBarPriv

    typedef struct _AnjutaCommandBarPriv AnjutaCommandBarPriv;

## Property Details

### The `“max-text-width”` property

      “max-text-width”           gint

Flags: Read / Write / Construct Only

Allowed values: [10,1000]

Default value: 25

## See Also

AnjutaDock, GtkAction